Bug 18392 - Allow exporting circulation conditions as CSV or spreadsheet
Summary: Allow exporting circulation conditions as CSV or spreadsheet
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 5 votes (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 30589
  Show dependency treegraph
 
Reported: 2017-04-05 21:17 UTC by Katrin Fischer
Modified: 2022-09-16 13:04 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/577
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 18392: use KohaTable for circ rules to allow export of matrix (1.67 KB, patch)
2022-04-13 19:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18392: Add noExport of rows and don't export 'edit' row (3.74 KB, patch)
2022-04-13 19:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18392: use KohaTable for circ rules to allow export of matrix (1.72 KB, patch)
2022-04-13 20:12 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 18392: Add noExport of rows and don't export 'edit' row (3.79 KB, patch)
2022-04-13 20:12 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 18392: use KohaTable for circ rules to allow export of matrix (1.82 KB, patch)
2022-04-15 06:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18392: Add noExport of rows and don't export 'edit' row (3.89 KB, patch)
2022-04-15 06:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-04-05 21:17:01 UTC
As our circulation GUI is not perfect (yet) it would be nice if it offered a similar feature to the bibliographic frameworks, allowing to export/import the rules using CSV or spreadsheet files.

This would make it much easier to update rules in bulk and keep track of changes to them as you could archive different versions easily too.
Comment 1 Rebecca Coert 2021-02-09 20:55:27 UTC
This would be a very useful feature.  The layout is currently so large that it is difficult to see all the relevant information for a circ rule on one screen.
Comment 2 Jeff Gaines 2021-02-09 21:54:52 UTC
The Loan Rules can be very complex and intricate. It would be nice to be able to export them, and be able to "slice" them different ways outside of Koha to understand their inter-relations. 

For bonus credit, once this is done someone could make a spreadsheet/database/application that would be a "Loan Rules Simulator" where one could alter Loan Rule parameters in the app, then enter a branch, an item type, a patron type, and a transaction type (checkin, checkout, renew, place a hold, etc.) to see what would happen.
Comment 3 Nick Clemens 2022-04-13 19:43:33 UTC
Created attachment 133280 [details] [review]
Bug 18392: use KohaTable for circ rules to allow export of matrix

To test:
1 - Define some circ rules
2 - View them, note the appearance
3 - Apply patch
4 - Reload and note change of header
5 - Use the new button to export, try various formats
6 - Test the filter and export
Comment 4 Nick Clemens 2022-04-13 19:43:36 UTC
Created attachment 133281 [details] [review]
Bug 18392: Add noExport of rows and don't export 'edit' row
Comment 5 Lucas Gass 2022-04-13 20:12:01 UTC
Created attachment 133283 [details] [review]
Bug 18392: use KohaTable for circ rules to allow export of matrix

To test:
1 - Define some circ rules
2 - View them, note the appearance
3 - Apply patch
4 - Reload and note change of header
5 - Use the new button to export, try various formats
6 - Test the filter and export

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Lucas Gass 2022-04-13 20:12:06 UTC
Created attachment 133284 [details] [review]
Bug 18392: Add noExport of rows and don't export 'edit' row

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Marcel de Rooy 2022-04-15 06:44:36 UTC
Created attachment 133339 [details] [review]
Bug 18392: use KohaTable for circ rules to allow export of matrix

To test:
1 - Define some circ rules
2 - View them, note the appearance
3 - Apply patch
4 - Reload and note change of header
5 - Use the new button to export, try various formats
6 - Test the filter and export

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2022-04-15 06:44:40 UTC
Created attachment 133340 [details] [review]
Bug 18392: Add noExport of rows and don't export 'edit' row

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Fridolin Somers 2022-04-21 06:43:50 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 10 Katrin Fischer 2022-04-21 19:04:22 UTC
I have filed a new bug 30589 to cover importing as I think this would make editing much more fun :)
Comment 11 Kyle M Hall 2022-04-29 17:32:30 UTC
Pushed to 21.11.x for 21.11.06
Comment 12 Kyle M Hall 2022-04-29 17:32:45 UTC
Backported by request!
Comment 13 Andrew Fuerste-Henry 2022-05-03 20:06:42 UTC
Not backported to 21.05. Please request if needed.
Comment 14 Martin Renvoize 2022-09-16 13:04:25 UTC
Documentation merge request merged.